<template>
    <div id="show-blogs">
        <h1>List Blog Title</h1>
        <input type="text" v-model="search" placeholder="Search ">
        <div v-for="blog in filteredBlogs" :key="blog.id" class="single-blog">
            <h2 v-rainbow>{{ blog.title | to-uppercase }}</h2>
        </div>
    </div>
</template>

<script>
import SearchMixin from '../mixins/SearchMixin';

export default {
    data () {
        return {
            blogs: [],
            search: ''
        }
    },
    methods: {
    },
    created() {
        this.$http.get('http://jsonplaceholder.typicode.com/posts').then(function(data){
            this.blogs = data.body.slice(0,10);
        });
    },
    // Computed property
    computed: {
        
    },
    filers: {
        toUpperCase(value){
            return value.toUpperCase();
        }
    },
    directives: {
        'rainbow': {
            bind(el){
                el.style.color = "#" + Math.random().toString(16).slice(2, 8);
            }
        }
    },
    mixins: [SearchMixin]
}
</script>

<style>
#show-blogs{
    max-width: 800px;
    margin: 0px auto;
}
.single-blog{
    padding: 20px;
    margin: 20px 0;
    box-sizing: border-box;
    background: #eee;
}
</style>